ExtLine2EndPoint 属性 (ActiveX)
指定第二条扩展线的终结点。 支持的平台:仅限 Windows 属性值只读:不 类型:变体(双打的三元素阵列) 表示第二条延伸线的端点的 3D 坐标。 言论和 属性包含扩展线的端点。如果给定维度不存在延伸线,则这些点将等于 和 。ExtLine1EndPointExtLine2EndPointExtLine1StartPointExtLine2StartPoint 例子VBA: Sub Example_ExtLine2EndPoint() ' This example creates an angular dimension. It then changes ' the location of the ExtLine2EndPoint. Dim dimObj As AcadDimAngular Dim angVert(0 To 2) As Double Dim FirstPoint(0 To 2) As Double Dim SecondPoint(0 To 2) As Double Dim TextPoint(0 To 2) As Double ' Define the dimension angVert(0) = 0#: angVert(1) = 5#: angVert(2) = 0# FirstPoint(0) = 1#: FirstPoint(1) = 7#: FirstPoint(2) = 0# SecondPoint(0) = 1#: SecondPoint(1) = 3#: SecondPoint(2) = 0# TextPoint(0) = 3#: TextPoint(1) = 5#: TextPoint(2) = 0# ' Create the angular dimension in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAngular(angVert, FirstPoint, SecondPoint, TextPoint) ZoomAll MsgBox "The current value of ExtLine2EndPoint is " & dimObj.ExtLine2EndPoint(0) & ", " & dimObj.ExtLine2EndPoint(1) & ", " & dimObj.ExtLine2EndPoint(2), vbInformation, "ExtLine2EndPoint Example" ' Change the endpoint of the second extension line SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0 dimObj.ExtLine2EndPoint = SecondPoint dimObj.Update ' Return the endpoint of the second extension line ' Note that the return value is a Variant Dim retPnt As Variant retPnt = dimObj.ExtLine2EndPoint MsgBox "The new value of ExtLine2EndPoint is " & dimObj.ExtLine2EndPoint(0) & ", " & dimObj.ExtLine2EndPoint(1) & ", " & dimObj.ExtLine2EndPoint(2), vbInformation, "ExtLine2EndPoint Example" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_ExtLine2EndPoint() ;; This example creates an angular dimension. It then changes ;; the location of the ExtLine2EndPoint. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq AngleVertex (vlax-3d-point 0 5 0) FirstPoint (vlax-3d-point 1 7 0) SecondPoint (vlax-3d-point 1 3 0) TextPoint (vlax-3d-point 3 5 0)) ;; Create the angular dimension in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint)) (vla-ZoomAll acadObj) (setq extLineEndPoint (vlax-safearray->list (vlax-variant-value (vla-get-ExtLine2EndPoint dimObj)))) (alert (strcat "The current value of ExtLine2EndPoint is " (rtos (nth 0 extLineEndPoint) 2) ", " (rtos (nth 1 extLineEndPoint) 2) ", " (rtos (nth 2 extLineEndPoint) 2))) ;; Change the endpoint of the second extension line (setq SecondPoint (vlax-3d-point 1 4 0)) (vla-put-ExtLine2EndPoint dimObj SecondPoint) (vla-Update dimObj) ;; Return the endpoint of the second extension line ;; Note that the return value is a Variant (setq retPnt (vlax-safearray->list (vlax-variant-value (vla-get-ExtLine2EndPoint dimObj)))) (alert (strcat "The new value of ExtLine2EndPoint is " (rtos (nth 0 retPnt) 2) ", " (rtos (nth 1 retPnt) 2) ", " (rtos (nth 2 retPnt) 2))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-19 07:24
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.